<?php
/**
* SimpleACL Component
* @version 1.0
* @package SimpleACL
* @copyright (C) 2007 by Alessandro Pasotti - All rights reserved!
* @license GNU AFFERO GENERAL PUBLIC LICENSE - AGPL V.3
**/


// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );



if( !@include_once( $mosConfig_absolute_path ."/administrator/components/com_simpleacl/language/$mosConfig_lang.messages.php" ) ) {
    include_once( $mosConfig_absolute_path ."/administrator/components/com_simpleacl/language/english.messages.php" );
}


class HTML_simpleacl {
    function denypage($denytext, $lists) {
        echo $denytext;

        if(count($lists['acls'])){
            ?>
        <div class="simpleacl">
        <table>
            <tbody>
                <thead>
                    <caption><?php echo _SACL_TCAPTION; ?></caption>
                    <tr>
                        <th><?php echo _SACL_SECTION; ?></th>
                        <th><?php echo _SACL_RETRIEVE; ?></th>
                        <th><?php echo _SACL_CREATE; ?></th>
                        <th><?php echo _SACL_UPDATE; ?></th>
                        <th><?php echo _SACL_DELETE; ?></th>
                    </tr>
                </thead>
                <tbody>
            <?php
            foreach($lists['acls'] as $row){ ?>
                <tr>
                    <td><?php echo $row->sectionname ?></td>
                    <td><?php echo (strpos($row->action, 'r') !== false)? _SACL_YES :  _SACL_NO ;?></td>
                    <td><?php echo (strpos($row->action, 'c') !== false)? _SACL_YES :  _SACL_NO ;?></td>
                    <td><?php echo (strpos($row->action, 'u') !== false)? _SACL_YES :  _SACL_NO ;?></td>
                    <td><?php echo (strpos($row->action, 'd') !== false)? _SACL_YES :  _SACL_NO ;?></td>
                </tr>
            <?php }
            ?>
            </tbody>
        </table>
        </div>
            <?php
        } else {
            echo '<p>' . _SACL_NOACL . '</p>';
        }

    }
}
?>